Subject: RE: 1.1.8: problem building FLTK
From: "Norman Vine" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 12 Mar 2001 11:52:50 -0500

Peter Hugosson-Miller writes:
>
>I've just upgraded to the latest Cygwin version, and now FLTK doesn't
>work anymore. I now get a visit from Dr. Watson whenever I try 
>to open a file chooser dialog.
>
>I tried "make clean", followed by "make install", in case 
>there was some
>incompatibility with the older Cygwin DLL's, but this made no
>difference. I haven't changed anything else in FLTK.

Hmm,

I have no problem with FLTK apps opening the FLTK file 
chooserand the current DLL.  This is with both FLTK 1.10 
and the most current sources available from 
fltk.sourceforge.net   < hint >

I notice that your Dr Watson log is reporting both
wsock32 and ws2_32 are you perhaps linking with
both of these DLL's ?

If so I would try only linking against wsock32

FWIW
I really do not think that this is a Cygwin problem
in that I use FLTK and Cygwin together extensively

Cheers

Norman Vine

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple